namespace IRaCIS.Core.Domain.Models;

[Comment("受试者 - 临床表单")]
[Table("ClinicalForm")]
public class ClinicalForm : BaseAddAuditEntity
{
    #region 导航属性
    [JsonIgnore]
    [ForeignKey("ClinicalDataTrialSetId")]
    public ClinicalDataTrialSet ClinicalDataTrialSet { get; set; }

    [JsonIgnore]
    [ForeignKey("SubjectId")]
    public Subject Subject { get; set; }
    #endregion

    [Comment("检查日期")]
    public DateTime? CheckDate { get; set; }

    public Guid ClinicalDataTrialSetId { get; set; }

    [Comment("截图地址")]
    [StringLength(1000)]
    public string PicturePath { get; set; } = null!;

    public Guid? ReadingId { get; set; }

    [Comment("受试者Id")]
    public Guid SubjectId { get; set; }

    public Guid TrialId { get; set; }

    public Guid? VisitId { get; set; }
}
